<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.admin.mapper.SysAreaMapper">

	<resultMap id="sysDictMap" type="com.yifu.cloud.plus.v1.yifu.admin.api.entity.SysArea">
		<id property="id" column="id"/>
		<result property="areaName" column="AREA_NAME"/>
		<result property="areaCode" column="AREA_CODE"/>
		<result property="parentId" column="PARENT_ID"/>
		<result property="updateDate" column="UPDATE_DATE"/>
		<result property="status" column="STATUS"/>
		<result property="createUser" column="CREATE_USER"/>
		<result property="areaShort" column="AREA_SHORT"/>
	</resultMap>
	<select id="getVoArea" resultType="com.yifu.cloud.plus.v1.yifu.admin.api.vo.AreaVo">
		select  id,
				AREA_NAME,
				AREA_CODE,
				PARENT_ID,
				UPDATE_DATE,
				STATUS,
				CREATE_USER,
				AREA_SHORT
		FROM sys_area
	</select>
</mapper>
